# $Revision: 1.62 $, $Date: 2010/06/29 22:05:54 $
#
# Conditional build:
%bcond_with	dotnet	# build without dotnet bindings
%bcond_with	smoke	# build libsmokekde
%bcond_with	ruby	# build ruby bindings

%define		_state		stable
%define		orgname		kdebindings
%define		qtver		4.6.3
%define		sipver		2:4.10.1
%define		pyqtver		4.7.2

Summary:	KDE bindings to non-C++ languages
Summary(pl.UTF-8):	Dowiązania KDE dla języków innych niż C++
Name:		kde4-kdebindings
Version:	4.4.5
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	57a56607069d1f80164015c641e127e5
BuildRequires:	PolicyKit-devel
BuildRequires:	QtDesigner-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtOpenGL-devel >= %{qtver}
BuildRequires:	QtSql-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	QtUiTools-devel >= %{qtver}
BuildRequires:	QtWebKit-devel >= %{qtver}
BuildRequires:	attica-devel
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	boost-devel
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdebase-workspace-devel >= %{version}
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-kdepimlibs-devel >= %{version}
%{?with_dotnet:BuildRequires:	mono-csharp}
%{?with_dotnet:BuildRequires:	monodoc}
BuildRequires:	phonon-devel >= 4.3.80
BuildRequires:	pkgconfig
BuildRequires:	polkit-qt-devel >= 0.9.3
# PolicyKit-kde (qt)
BuildRequires:	python-PyQt4-devel >= %{pyqtver}
BuildRequires:	python-sip >= %{sipver}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.213
%{?with_ruby:BuildRequires:	ruby-devel}
%{?with_smoke:BuildRequires:	ruby-qt4-devel}
BuildRequires:	shared-desktop-ontologies-devel
BuildRequires:	soprano-devel >= 2.3.70
#BuildConflicts:	qt-devel
%{!?with_smoke:BuildConflicts:	ruby-qt4-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bindings for the K Desktop Environment: provide interfaces to many
diferent programming languages to use KDE native resources and
widgets.

%description -l pl.UTF-8
Dowiązania KDE/qt dla języków innych niż C++ pozwalające używać
natywnych dla KDE zasobów i widgetów.

%package kimono
Summary:	C# Mono KDE4 bindings
Summary(pl.UTF-8):	Dowiązania C# Mono do KDE4
Group:		X11/Development/Libraries

%description kimono
C# Mono KDE4 bindings.

%description kimono -l pl.UTF-8
Dowiązania C# Mono do KDE4.

%package ruby-qt
Summary:	A SMOKE library for qt
Summary(pl.UTF-8):	Biblioteka SMOKE dla qt
Group:		X11/Development/Libraries

%description ruby-qt
A Qt bindings for Ruby using the SMOKE technology.

%description ruby-qt -l pl.UTF-8
Dowiązania Qt dla Ruby przy użyciu technologii SMOKE.

%package ruby-kde
Summary:	A SMOKE library for qt
Summary(pl.UTF-8):	Biblioteka SMOKE dla qt
Group:		X11/Development/Libraries

%description ruby-kde
A KDE bindings for Ruby using the SMOKE technology.

%description ruby-kde -l pl.UTF-8

%package ruby-devel
Summary:	Ruby header files
Summary(pl.UTF-8):	Pliki nagłówkowe dla ruby
Group:		X11/Development/Libraries

%description ruby-devel
Ruby header files.

%description ruby-devel -l pl.UTF-8
Pliki nagłówkowe dla ruby.

%package smoke-qt
Summary:	A SMOKE library for qt
Summary(pl.UTF-8):	Biblioteka SMOKE dla qt
Group:		X11/Development/Libraries

%description smoke-qt
SMOKE library (Scripting Meta Object Kompiler Engine) dla qt.

%description smoke-qt -l pl.UTF-8
Biblioteka SMOKE (Silnik kompilatora metaobiektów skryptowych) dla qt.

%package smoke-kde
Summary:	A SMOKE library for qt
Summary(pl.UTF-8):	Biblioteka SMOKE dla qt
Group:		X11/Development/Libraries

%description smoke-kde
SMOKE library (Scripting Meta Object Kompiler Engine) dla KDE4.

%description smoke-kde -l pl.UTF-8
Biblioteka SMOKE (Silnik kompilatora metaobiektów skryptowych) dla
KDE4.

%package smoke-devel
Summary:	smoke header files
Summary(pl.UTF-8):	Pliki nagłówkowe dla smoke
Group:		X11/Development/Libraries

%description smoke-devel
Smoke header files.

%description smoke-devel -l pl.UTF-8
Pliki nagłówkowe dla smoke.

%package -n python-PyKDE4
Summary:	Python bindings for KDE
Summary(pl.UTF-8):	Dowiązania do KDE dla Pyth
Group:		Libraries/Python
Requires:	python-PyQt4 >= %{pyqtver}
Requires:	python-sip >= %{sipver}

%description -n python-PyKDE4
PyKDE is a set of Python bindings for the KDE desktop environment. The
bindings are implemented as a set of Python modules: dcop, kdecore,
kdesu, kdefx (KDE 3.0 and later), kdeui, kio, kfile, kparts, khtml,
kjs, kspell and kdeprint (KDE 2.2.0 and later). The modules correspond
to libraries in the kdelibs package. PyKDE supports nearly all classes
and methods in these libraries.

%description -n python-PyKDE4 -l pl.UTF-8
PyKDE jest zbiorem dowiązań do KDE dla języka Python. Dowiązania są
zaimplementowane jako zbiór modułów Pythona: dcop, kdecore, kdesu,
kdefix (KDE 3.0 i późniejsze), kdeui, kio, kfile, kparts, khtml, kjs,
kspell i kdeprint (KDE 2.2.0 i późniejsze). Moduły odpowiadają
bibliotekom w pakiecie kdelibs. PyKDE wspiera prawie wszystkie klasy i
metody w wymienionych bibliotekach.

%package -n python-PyKDE4-examples
Summary:	PyKDE4 examples
Summary(pl.UTF-8):	Przykłady PyKDE4
Group:		Libraries/Python

%description -n python-PyKDE4-examples
PyKDE4 examples

%description -n python-PyKDE4-examples -l pl.UTF-8
Przykłady PyKDE4

%package -n qyoto
Summary:	C# Mono Qt4 bindings
Summary(pl.UTF-8):	Dowiązania C# Mono dla Qt4
Group:		X11/Development/Libraries

%description -n qyoto
C# Mono Qt4 bindings.

%description -n qyoto -l pl.UTF-8
Dowiązania C# Mono dla Qt4.

%package -n qyoto-devel
Summary:	qyoto header files
Summary(pl.UTF-8):	pliki nagłówkowe dla qyoto
Group:		X11/Development/Libraries
Requires:	qyoto = %{version}-%{release}

%description -n qyoto-devel
qyoto header files.

%description -n qyoto-devel -l pl.UTF-8
pliki nagłówkowe dla qyoto.

%prep
%setup -q -n %{orgname}-%{version}
# Very ugly hack, but damn, i'm sick of this package
%if %{without smoke}
%{__sed} -i -e 's/macro_optional_add_subdirectory(smoke)//' CMakeLists.txt
%endif
%if %{without ruby}
%{__sed} -i -e 's/macro_optional_add_subdirectory(ruby)//' CMakeLists.txt
%endif
%if %{without csharp}
%{__sed} -i -e 's/macro_optional_add_subdirectory(csharp)//' CMakeLists.txt
%{__sed} -i -e 's/macro_optional_add_subdirectory(java)//' CMakeLists.txt
%{__sed} -i -e 's/macro_optional_add_subdirectory(php)//' CMakeLists.txt
%{__sed} -i -e 's/macro_optional_add_subdirectory(falcon)//' CMakeLists.txt
%endif

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DSYSCONF_INSTALL_DIR=%{_sysconfdir} \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DBUILD_smoke=%{!?with_smoke:OFF}%{?with_smoke:ON} \
	-DBUILD_ruby=%{!?with_ruby:OFF}%{?with_ruby:ON} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/pykde4
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

mv $RPM_BUILD_ROOT%{_datadir}/apps/pykde4/examples/* $RPM_BUILD_ROOT%{_examplesdir}/pykde4
%py_comp $RPM_BUILD_ROOT%{py_sitedir}/PyKDE4
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}/PyKDE4

# don't use py_postclean
rm $RPM_BUILD_ROOT%{py_sitedir}/PyKDE4/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%post	kimono -p /sbin/ldconfig
%postun	kimono -p /sbin/ldconfig

%post	-n qyoto -p /sbin/ldconfig
%postun	-n qyoto -p /sbin/ldconfig

%post	smoke-qt -p /sbin/ldconfig
%postun	smoke-qt -p /sbin/ldconfig

%post	smoke-kde -p /sbin/ldconfig
%postun	smoke-kde -p /sbin/ldconfig

%post	ruby-qt -p /sbin/ldconfig
%postun	ruby-qt -p /sbin/ldconfig

%if %{with dotnet}
%files kimono
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kimonopluginfactory.so
%attr(755,root,root) %{_libdir}/libakonadi-sharp.so
%attr(755,root,root) %{_libdir}/libkhtml-sharp.so
%attr(755,root,root) %{_libdir}/libkimono.so
%attr(755,root,root) %{_libdir}/libktexteditor-sharp.so
%attr(755,root,root) %{_libdir}/libnepomuk-sharp.so
%attr(755,root,root) %{_libdir}/libplasma-sharp.so
%attr(755,root,root) %{_libdir}/libsoprano-sharp.so
%{_prefix}/lib/mono/2.0/akonadi.dll
%{_prefix}/lib/mono/2.0/kde-dotnet.dll
%{_prefix}/lib/mono/2.0/khtml-dll.dll
%{_prefix}/lib/mono/2.0/ktexteditor-dotnet.dll
%{_prefix}/lib/mono/2.0/nepomuk-dll.dll
%{_prefix}/lib/mono/2.0/plasma-dll.dll
%{_prefix}/lib/mono/2.0/soprano.dll
%{_prefix}/lib/mono/gac/akonadi
%{_prefix}/lib/mono/gac/kde-dotnet
%{_prefix}/lib/mono/gac/khtml-dll
%{_prefix}/lib/mono/gac/ktexteditor-dotnet
%{_prefix}/lib/mono/gac/nepomuk-dll
%{_prefix}/lib/mono/gac/plasma-dll
%{_prefix}/lib/mono/gac/soprano
%dir %{_datadir}/apps/plasma_scriptengine_kimono
%{_datadir}/apps/plasma_scriptengine_kimono/PlasmaScriptengineKimono.dll
%{_datadir}/kde4/services/plasma-scriptengine-kimono-applet.desktop
%{_datadir}/kde4/services/plasma-scriptengine-kimono-dataengine.desktop

%files -n qyoto
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqyoto.so
%attr(755,root,root) %ghost %{_libdir}/libqyotoshared.so.?
%attr(755,root,root) %{_libdir}/libqyotoshared.so.*.*.*
%attr(755,root,root) %{_libdir}/libqtscript-sharp.so
%attr(755,root,root) %{_libdir}/libqttest-sharp.so
%attr(755,root,root) %{_libdir}/libqtuitools-sharp.so
%attr(755,root,root) %{_libdir}/libqtwebkit-sharp.so
%attr(755,root,root) %{_libdir}/libqimageblitz-sharp.so
%{_prefix}/lib/mono/2.0/qt-dotnet.dll
%{_prefix}/lib/mono/2.0/qtscript.dll
%{_prefix}/lib/mono/2.0/qttest.dll
%{_prefix}/lib/mono/2.0/qtuitools.dll
%{_prefix}/lib/mono/2.0/qtwebkit.dll
%{_prefix}/lib/mono/2.0/qimageblitz.dll
%{_prefix}/lib/mono/gac/qt-dotnet
%{_prefix}/lib/mono/gac/qtscript
%{_prefix}/lib/mono/gac/qttest
%{_prefix}/lib/mono/gac/qtuitools
%{_prefix}/lib/mono/gac/qtwebkit
%{_prefix}/lib/mono/gac/qimageblitz

%files -n qyoto-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/csrcc
%attr(755,root,root) %{_bindir}/uics
%attr(755,root,root) %{_libdir}/libqyotoshared.so
%{_includedir}/qyoto
%{_pkgconfigdir}/qyoto.pc
%{_pkgconfigdir}/qtscript-sharp.pc
%{_pkgconfigdir}/qttest-sharp.pc
%{_pkgconfigdir}/qtuitools-sharp.pc
%{_pkgconfigdir}/qtwebkit-sharp.pc
%endif

%if %{with smoke}
%files smoke-qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/smokegen
%attr(755,root,root) %{_libdir}/libsmokeqt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqt.so.?
%attr(755,root,root) %{_libdir}/libsmokeqtwebkit.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqtwebkit.so.?
%attr(755,root,root) %{_libdir}/libsmokeqtscript.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqtscript.so.?
%attr(755,root,root) %{_libdir}/libsmokeqtuitools.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqtuitools.so.?
%attr(755,root,root) %{_libdir}/libsmokeqttest.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqttest.so.?
%attr(755,root,root) %{_libdir}/libsmokeqimageblitz.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqimageblitz.so.?

%files smoke-kde
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsmokeakonadi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeakonadi.so.?
%attr(755,root,root) %{_libdir}/libsmokekde.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokekde.so.?
%attr(755,root,root) %{_libdir}/libsmokekhtml.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokekhtml.so.?
%attr(755,root,root) %{_libdir}/libsmokektexteditor.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokektexteditor.so.?
%attr(755,root,root) %{_libdir}/libsmokenepomuk.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokenepomuk.so.?
#%attr(755,root,root) %{_libdir}/libsmokephonon.so.*.*.*
#%attr(755,root,root) %ghost %{_libdir}/libsmokephonon.so.?
%attr(755,root,root) %{_libdir}/libsmokeplasma.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeplasma.so.?
%attr(755,root,root) %{_libdir}/libsmokesolid.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokesolid.so.?
%attr(755,root,root) %{_libdir}/libsmokesoprano.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokesoprano.so.?
%attr(755,root,root) %{_libdir}/libsmokeqsci.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeqsci.so.?

%files smoke-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsmokeakonadi.so
%attr(755,root,root) %{_libdir}/libsmokeqt.so
%attr(755,root,root) %{_libdir}/libsmokeqtwebkit.so
%attr(755,root,root) %{_libdir}/libsmokeqtscript.so
%attr(755,root,root) %{_libdir}/libsmokeqtuitools.so
%attr(755,root,root) %{_libdir}/libsmokeqttest.so
%attr(755,root,root) %{_libdir}/libsmokekde.so
%attr(755,root,root) %{_libdir}/libsmokekhtml.so
%attr(755,root,root) %{_libdir}/libsmokektexteditor.so
%attr(755,root,root) %{_libdir}/libsmokenepomuk.so
#%attr(755,root,root) %{_libdir}/libsmokephonon.so
%attr(755,root,root) %{_libdir}/libsmokeplasma.so
%attr(755,root,root) %{_libdir}/libsmokesolid.so
%attr(755,root,root) %{_libdir}/libsmokesoprano.so
%attr(755,root,root) %{_libdir}/libsmokeqsci.so
%attr(755,root,root) %{_libdir}/libsmokeqimageblitz.so
%dir %{_includedir}/smoke
%{_includedir}/smoke/*.h
%{_includedir}/smoke.h
%endif

%if %{with ruby}
%files ruby-qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rbqtapi
%attr(755,root,root) %{_bindir}/rbuic4
%attr(755,root,root) %{_bindir}/rbrcc
%attr(755,root,root) %{_libdir}/libqtruby4shared.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqtruby4shared.so.2
%attr(755,root,root) %{_libdir}/libsmokeokular.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmokeokular.so.2
%{ruby_sitelibdir}/Qt.rb
%{ruby_sitelibdir}/Qt3.rb
%{ruby_sitelibdir}/Qt4.rb
%dir %{ruby_sitelibdir}/Qt
%{ruby_sitelibdir}/Qt/qtruby4.rb
%attr(755,root,root) %{ruby_sitearchdir}/qtruby4.so
%{ruby_sitelibdir}/Qt/active_item_model.rb
%{ruby_sitelibdir}/Qt/active_table_model.rb
%attr(755,root,root) %{ruby_sitearchdir}/okular.so
%dir %{ruby_sitelibdir}/okular
%{ruby_sitelibdir}/okular/okular.rb
%attr(755,root,root) %{ruby_sitearchdir}/qtwebkit.so
%dir %{ruby_sitelibdir}/qtwebkit
%{ruby_sitelibdir}/qtwebkit/qtwebkit.rb
%attr(755,root,root) %{ruby_sitearchdir}/qtuitools.so
%dir %{ruby_sitelibdir}/qtuitools
%{ruby_sitelibdir}/qtuitools/qtuitools.rb
%attr(755,root,root) %{ruby_sitearchdir}/qtscript.so
%dir %{ruby_sitelibdir}/qtscript
%{ruby_sitelibdir}/qtscript/qtscript.rb
%attr(755,root,root) %{ruby_sitearchdir}/qttest.so
%dir %{ruby_sitelibdir}/qttest
%{ruby_sitelibdir}/qttest/qttest.rb

%files ruby-kde
%defattr(644,root,root,755)
%attr(755,root,root) %{ruby_sitearchdir}/akonadi.so
%dir %{ruby_sitelibdir}/akonadi
%{ruby_sitelibdir}/akonadi/akonadi.rb
%attr(755,root,root) %{ruby_sitearchdir}/soprano.so
%dir %{ruby_sitelibdir}/soprano
%{ruby_sitelibdir}/soprano/soprano.rb
%{_desktopdir}/kde4/dbpedia_references.desktop
%dir %{_datadir}/apps/dbpedia_references
%{_datadir}/apps/dbpedia_references/dbpedia_references.rb
%attr(755,root,root) %{ruby_sitearchdir}/korundum4.so
%attr(755,root,root) %{_libdir}/kde4/krubypluginfactory.so
%attr(755,root,root) %{_bindir}/krubyapplication
%{ruby_sitelibdir}/KDE/korundum4.rb
%attr(755,root,root) %{_bindir}/rbkconfig_compiler4
%attr(755,root,root) %{ruby_sitearchdir}/khtml.so
%dir %{ruby_sitelibdir}/khtml
%{ruby_sitelibdir}/khtml/khtml.rb
%attr(755,root,root) %{ruby_sitearchdir}/ktexteditor.so
%dir %{ruby_sitelibdir}/ktexteditor
%{ruby_sitelibdir}/ktexteditor/ktexteditor.rb
%attr(755,root,root) %{ruby_sitearchdir}/nepomuk.so
%dir %{ruby_sitelibdir}/nepomuk
%{ruby_sitelibdir}/nepomuk/nepomuk.rb
%attr(755,root,root) %{ruby_sitearchdir}/plasma_applet.so
%dir %{ruby_sitelibdir}/KDE
%{ruby_sitelibdir}/KDE/plasma.rb
%attr(755,root,root) %{ruby_sitearchdir}/solid.so
%dir %{ruby_sitelibdir}/solid
%{ruby_sitelibdir}/solid/solid.rb
%attr(755,root,root) %{_libdir}/kde4/krossruby.so

%files ruby-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsmokeokular.so
%attr(755,root,root) %{_libdir}/libqtruby4shared.so
%dir %{_includedir}/qtruby
%{_includedir}/qtruby/*.h
%endif

%files -n python-PyKDE4
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pykdeuic4
%attr(755,root,root) %{_libdir}/kde4/kpythonpluginfactory.so
%attr(755,root,root) %{_libdir}/kde4/krosspython.so
%dir %{py_sitedir}/PyKDE4
%{py_sitedir}/PyKDE4/kdecore.so
%{py_sitedir}/PyKDE4/solid.so
%{py_sitedir}/PyKDE4/kdeui.so
%{py_sitedir}/PyKDE4/kio.so
%{py_sitedir}/PyKDE4/kutils.so
%{py_sitedir}/PyKDE4/kparts.so
%{py_sitedir}/PyKDE4/ktexteditor.so
%{py_sitedir}/PyKDE4/khtml.so
%{py_sitedir}/PyKDE4/knewstuff.so
%{py_sitedir}/PyKDE4/dnssd.so
%{py_sitedir}/PyKDE4/phonon.so
%{py_sitedir}/PyKDE4/plasma.so
%{py_sitedir}/PyKDE4/soprano.so
%{py_sitedir}/PyKDE4/nepomuk.so
%{py_sitedir}/PyKDE4/akonadi.so
%{py_sitedir}/PyKDE4/polkitqt.so
%{py_sitedir}/PyKDE4/__init__.py[co]
%{py_sitedir}/PyKDE4/pykdeconfig.py[co]
%{_datadir}/sip/PyKDE4/glossary.html

%{py_sitedir}/PyQt4/uic/pykdeuic4.py*
%{py_sitedir}/PyQt4/uic/widget-plugins/kde4.py*

%dir %{_datadir}/sip/PyKDE4
%{_datadir}/sip/PyKDE4/nepomuk
%{_datadir}/sip/PyKDE4/knewstuff
%{_datadir}/sip/PyKDE4/dnssd
%{_datadir}/sip/PyKDE4/solid
%{_datadir}/sip/PyKDE4/akonadi
%{_datadir}/sip/PyKDE4/kio
%{_datadir}/sip/PyKDE4/ktexteditor
%{_datadir}/sip/PyKDE4/khtml
%{_datadir}/sip/PyKDE4/soprano
%{_datadir}/sip/PyKDE4/kdecore
%{_datadir}/sip/PyKDE4/phonon
%{_datadir}/sip/PyKDE4/plasma
%{_datadir}/sip/PyKDE4/kdeui
%{_datadir}/sip/PyKDE4/kutils
%{_datadir}/sip/PyKDE4/kparts
%{_datadir}/sip/PyKDE4/polkitqt

%files -n python-PyKDE4-examples
%defattr(644,root,root,755)
%{_examplesdir}/pykde4

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kdebindings.spec,v $
Revision 1.62  2010/06/29 22:05:54  shadzik
- 4.4.5

Revision 1.61  2010/05/28 22:02:31  shadzik
- 4.4.4

Revision 1.60  2010/05/01 13:40:34  shadzik
- 4.4.3

Revision 1.59  2010/03/30 08:58:13  glen
- unify

Revision 1.58  2010/03/30 08:40:36  shadzik
- new tarball; fixes funny build bug
- rel 3, builds also in parrallel

Revision 1.57  2010/03/28 19:14:25  arekm
- rel 2; don't fail on first make

Revision 1.56  2010/03/27 23:06:34  shadzik
- yeah!! great cinema! kde r0x and b00ms, funny bug :)

Revision 1.55  2010/03/27 22:44:05  shadzik
- 4.4.2
- make -j1

Revision 1.54  2010/03/22 19:49:46  wiget
- fix uic plugins instalation
- rel 4

Revision 1.53  2010/03/21 10:37:42  matkor
- Release 3. Rebuild with newer sip/PyQt versions.

Revision 1.52  2010/03/08 12:42:15  matkor
- Release 2.

Revision 1.51  2010/02/27 11:59:43  shadzik
- 4.4.1 try #1

Revision 1.50  2010/02/18 16:57:33  sparky
- BR: attica-devel, shared-desktop-ontologies-devel
- dropped unused BR: qimageblitz-devel, qscintilla2-devel

Revision 1.49  2010/02/18 00:25:43  shadzik
- merged from DEVEL

Revision 1.42.2.23  2010/02/16 12:34:31  shadzik
- sipver is epoch 2

Revision 1.42.2.22  2010/02/16 12:29:01  shadzik
- same play with PyQt4

Revision 1.42.2.21  2010/02/16 12:13:36  shadzik
- define sipver; add R: python-sip to python-PyKDE4
- rel 3

Revision 1.42.2.20  2010/02/05 18:06:58  arekm
- rel 2; new tarball

Revision 1.42.2.19  2010/02/04 21:40:42  arekm
- up to 4.4.0

Revision 1.42.2.18  2010/02/02 20:54:47  shadzik
- bump up qtver; it's not necessary but we make sure we link with the latest qtver

Revision 1.42.2.17  2010/02/02 15:59:39  shadzik
- minor clean up (removing old svn snap stuff)

Revision 1.42.2.16  2010/02/02 15:47:17  shadzik
- version qt4 BRs

Revision 1.42.2.15  2010/02/02 13:10:54  shadzik
- force cmake 2.8.0 BR

Revision 1.42.2.14  2010/02/01 00:31:50  shadzik
- 4.4 RC3

Revision 1.42.2.13  2010/01/31 02:09:27  sparky
- BR: PolicyKit-devel, pkgconfig, qt4-build, qt4-qmake, rpm-pythonprov

Revision 1.42.2.12  2010/01/24 18:42:08  arekm
- new tarball

Revision 1.42.2.11  2010/01/20 09:34:43  arekm
- up to 4.3.95

Revision 1.42.2.10  2010/01/17 20:52:31  arekm
- bump deps so it will be able to compile

Revision 1.42.2.9  2010/01/08 14:31:59  arekm
- 4.3.90 (doesn't build; requires unreleased sip)

Revision 1.42.2.8  2009/12/24 01:18:04  shadzik
- new tarball

Revision 1.42.2.7  2009/12/23 23:17:14  shadzik
- updated polkit-qt BR

Revision 1.42.2.6  2009/12/20 14:02:06  shadzik
- 4.4 Beta2
- BR: kde4-kdebase-workspace-devel (Provides: FindPolkit-qt.cmake)

Revision 1.42.2.5  2009/12/04 01:21:25  shadzik
- new tarball
- Patch0 no more

Revision 1.42.2.4  2009/12/03 02:16:50  shadzik
- add patch

Revision 1.42.2.3  2009/11/18 11:17:18  cactus
- up to 4.3.75

Revision 1.42.2.2  2009/11/02 02:16:52  shadzik
- 4.3.73

Revision 1.42.2.1  2009/10/25 15:54:44  shadzik
- 4.3.72

Revision 1.42  2009/10/25 15:36:03  shadzik
- BR: QtTest-devel

Revision 1.41  2009/10/25 15:30:10  shadzik
- BR: QtSql-devel

Revision 1.40  2009/10/25 15:27:27  shadzik
- python-PyQt4 BR down

Revision 1.39  2009/10/25 15:24:37  shadzik
- sorted BRs

Revision 1.38  2009/10/25 15:20:31  shadzik
- BC ruby-qt4 when without smoke

Revision 1.37  2009/10/11 20:29:31  rotom
- BRs added and updated

Revision 1.36  2009/10/03 19:51:04  shadzik
- explicitely do not build disabled bconds

Revision 1.35  2009/10/03 19:25:58  shadzik
- reverse bconds again!!

Revision 1.34  2009/10/03 11:58:49  shadzik
- updated qt BR

Revision 1.33  2009/10/03 08:37:02  shadzik
- 4.3.2 try#1
- TODO: fix smoke build or think about a patch that really disables that build (cmake options are nothing worth)

Revision 1.32  2009/08/29 17:02:48  shadzik
- 4.3.1

Revision 1.31  2009/08/15 23:13:55  cactus
- BR: QtSvg-devel
- rel 2.

Revision 1.30  2009/08/15 23:00:47  cactus
- default build with smoke and ruby

Revision 1.29  2009/08/15 22:57:05  cactus
- files

Revision 1.28  2009/08/09 21:38:17  rotom
- some BRs added

Revision 1.27  2009/08/04 20:06:15  arekm
- md5 update

Revision 1.26  2009/08/03 15:20:23  arekm
- values are case sensitive it seems

Revision 1.25  2009/07/31 13:52:49  shadzik
- merged from DEVEL

Revision 1.22.2.7  2009/07/31 13:52:23  shadzik
- 4.3.0

Revision 1.22.2.6  2009/07/27 16:53:58  shadzik
- kill shitty BR

Revision 1.22.2.5  2009/07/23 17:48:56  shadzik
- 4.3rc3
- bconded smoke and ruby (they don't build at all so disable them by default)
- fix dotnet bcond and %files issue

Revision 1.22.2.4  2009/07/10 08:07:47  paszczus
- updated to 4.2.96 (some unpackaged files)

Revision 1.22.2.3  2009/07/04 15:33:12  shadzik
- fix --target build

Revision 1.22.2.2  2009/06/12 22:05:30  cactus
- cleanup
- files
- BR: kde4-kdebase-workspace-devel (PolicyKit-kde)

Revision 1.22.2.1  2009/06/11 20:54:28  cactus
- up to 4.2.91
- BR: polkit-qt-devel, python-PyQt4 >- 4.5, sip >= 4.8
- NFY

Revision 1.22  2009/05/11 17:59:19  cactus
- added missing files to ruby-kde
- release 4

Revision 1.21  2009/05/10 18:28:45  cactus
- BR:kde4-kdevplatform-devel
- patch for gcc 4.4.0

Revision 1.20  2009/05/08 15:02:03  shadzik
- release 3

Revision 1.19  2009/05/08 14:34:34  shadzik
- updated cmake br

Revision 1.18  2009/05/02 02:21:06  shadzik
- 4.2.3

Revision 1.17  2009/03/28 09:13:14  shadzik
- 4.2.2

Revision 1.16  2009/03/18 17:18:58  megabajt
- don't own mono dirs
- release 5

Revision 1.15  2009/03/08 17:49:17  shadzik
- BR: QtWebKit-devel
- rel 4

Revision 1.14  2009/03/08 17:30:51  shadzik
- BR: QtUiTools-devel
- rel 3

Revision 1.13  2009/03/08 17:16:27  shadzik
- missing dir

Revision 1.12  2009/02/27 16:45:14  shadzik
- 4.2.1

Revision 1.11  2009/02/20 12:15:53  shadzik
- release 6

Revision 1.10  2009/02/20 11:53:20  shadzik
- conditional release/debug build (thx glen)

Revision 1.9  2009/02/20 10:48:46  shadzik
- don't be that noisy on terminal output; rel up

Revision 1.8  2009/02/03 19:26:42  shadzik
- BR kde4-kdegraphics-devel
- rel 4

Revision 1.7  2009/02/03 16:03:09  shadzik
- merged from DEVEL
- 4.2.0 stable
- rel 3

Revision 1.6.2.19  2009/01/22 19:41:51  shadzik
- BR: automoc >= 0.9.88

Revision 1.6.2.18  2009/01/22 18:33:36  shadzik
- 4.2.0
- c# package?

Revision 1.6.2.17  2009/01/13 00:28:56  shadzik
- updated strigi and phonon BRs

Revision 1.6.2.16  2009/01/05 22:11:26  glen
- builds on carme if csharp/examples is disabled

Revision 1.6.2.15  2008/12/01 08:39:43  cactus
- qtver 4.4.3

Revision 1.6.2.14  2008/11/30 23:37:00  cactus
- cleanups in dir owns

Revision 1.6.2.13  2008/11/30 00:08:44  cactus
- rel 1

Revision 1.6.2.12  2008/11/29 23:43:04  cactus
- BR: python-PyQt4-devel >= 4.4.4 , python-sip >= 4.7.8

Revision 1.6.2.11  2008/11/29 23:05:39  cactus
- reenabled patch0 (smoke nepomuk add libs for linking)

Revision 1.6.2.10  2008/11/29 22:31:25  cactus
- up to 4.1.81
- BC: qt-devel (soprano)
- patch0 disabled (already in trunk)
- rel 0.5

Revision 1.6.2.9  2008/11/28 12:40:20  shadzik
- s/ruby-qt4-qtruby/ruby-qt4-qtruby-devel/

Revision 1.6.2.8  2008/11/26 23:15:44  shadzik
- auto up 4.2 beta1

Revision 1.6.2.7  2008/11/20 18:00:21  shadzik
- BR: cmake

Revision 1.6.2.6  2008/11/20 17:59:39  shadzik
- put ghost file in proper place

Revision 1.6.2.5  2008/11/18 23:53:02  cactus
- qyoto is main pkg

Revision 1.6.2.3  2008/11/15 20:32:27  cactus
- ruby modules dirs owner

Revision 1.6.2.2  2008/11/15 20:11:48  cactus
- more ruby modules
- krosspython lib moved to python-PyKDE
- example plasma applets  added

Revision 1.6  2008/08/07 23:21:56  rotom
- few files added
- some files moved

Revision 1.5  2008/08/06 11:43:49  paszczus
- package more files (but not all)

Revision 1.4  2008/08/06 11:20:06  paszczus
- added missing BR: mono-csharp

Revision 1.3  2008/08/06 09:10:25  rotom
- BR's added

Revision 1.2  2008/08/06 07:34:54  paszczus
- added BR: QtGui-devel

Revision 1.1  2008/08/02 10:30:55  rotom
- Initial (NFY)

